#include "InitialStateLabel.h"

#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>

namespace label {

InitialStateLabel::InitialStateLabel() = default;

std::ostream & operator << ( std::ostream & out, const InitialStateLabel & ) {
	return out << "(InitialStateLabel)";
}

} /* namespace label */

namespace {

auto valuePrinter = registration::ValuePrinterRegister < label::InitialStateLabel > ( );

} /* namespace */
